Product Catalog External Event Sources
Updated: Jan 6, 2026
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
external event sources
Example
GET /v25.0/{product-catalog-id}/external_event_sources HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
This endpoint doesn't have any parameters.
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"summary": {}
}
data
A list of ExternalEventSource nodes.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=total_count).
| Field | Description |
|---|---|
total_countunsigned int32 |
Total number of event sources attached to the catalog
|
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
Creating
/{product_catalog_id}/external_event_sources
You can make a POST request to external_event_sources edge from the following paths:
When posting to this edge, an ExternalEventSource will be created.
Parameters
| Parameter | Description |
|---|---|
external_event_sourcesA JSON-encoded rule |
An array of event source ids
|
Return Type
This endpoint supports read-after-write and will read the node to which you POSTed.
Struct {
success: bool,
}
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
200 | Permissions error |
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.